---
title: Refresh install disk usage
url: https://developers.wpengine.com/docs/managed-hosting-platform/api/reference/operations/refreshenvironmentdiskusage/
image: https://developers.wpengine.com/og/docs/managed-hosting-platform/api/reference/operations/refreshenvironmentdiskusage.png
---

# Refresh install disk usage

POST

/installs/{install_id}/usage/refresh_disk_usage

Select code sample

```sh
curl --request POST \
  --url https://api.wpengineapi.com/v1/installs/294deacc-d8b8-4005-82c4-0727ba8ddde0/usage/refresh_disk_usage \
  --header 'Authorization: Basic <credentials>'
```

-

Triggers an asynchronous job to recalculate the disk usage for the install.

## Limitations & Warnings

- Asynchronous: the request returns immediately and does not return the updated usage data. To check progress, poll for daily usage metrics at `GET /installs/{install_id}/usage`. The estimated time of completion is the `storage_refresh_expected_time` field in the daily usage metrics; if it is `null`, the job has already completed.
- The last time storage was refreshed is the `storage_update_time` field of the daily usage metrics.
- Multiple requests for the same environment result in a single recalculation.

## Authorizations

- **[basicAuth](https://developers.wpengine.com/docs/managed-hosting-platform/api/reference/#basicauth)**

## Parameters

### Path Parameters

**install_id**

required

string format: uuid

The UUID of the install.

#### Example

```
294deacc-d8b8-4005-82c4-0727ba8ddde0
```

## Responses

### 200

Returns `null`. The disk usage refresh has been initiated.

### 400

Bad Request

### 401

Authentication Error

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

**documentation_url**

(Optional) A URL where documentation regarding this specific error can be found

string

#### Example

```json
{
  "message": "Bad Credentials"
}
```

### 403

Not authorized

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

**documentation_url**

(Optional) A URL where documentation regarding this specific error can be found

string

#### Example

```json
{
  "message": "You don't have permission to perform that action"
}
```

### 404

Not found

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

**documentation_url**

(Optional) A URL where documentation regarding this specific error can be found

string

#### Example

```json
{
  "message": "Not Found"
}
```

### 429

Too many requests

### 500

Internal Server Error

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

#### Example

```json
{
  "message": "An unexpected error occurred, please try again in a few minutes"
}
```

### 502

An invalid response was received from an upstream server

### 503

Service unavailable

### default

An unexpected error response.

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

#### Example

```json
{
  "message": "An unexpected error occurred, please try again in a few minutes"
}
```

## Was this helpful?

Thanks for the feedback!

```json
{"@context":"https://schema.org","@graph":[{"@type":"WebSite","@id":"https://developers.wpengine.com/#website","name":"WP Engine Product Documentation","url":"https://developers.wpengine.com/","description":"Resources for developing, deploying, and scaling on WP Engine.","inLanguage":"en-US","keywords":["API documentation","product documentation","headless WordPress","managed WordPress hosting"],"publisher":{"@id":"https://wpengine.com/#organization"}}]}
```
